#include <bits/stdc++.h>
#define pb push_back
#define pf push_front
#define fi first
#define se second

using namespace std;
typedef long long ll;

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	ll n;
	cin >> n;
	double x, y;
	vector<pair<double,double>> v;
	for(ll i=0; i<n; i++)
    {
        cin >> x >> y;
        v.pb({y,x});
    }
    sort(v.begin(),v.end());
    double z=0, res=0;
    for(ll i=0; i<v.size(); i++)
    {
        z+=v[i].se;
    }
    for(ll i=0; i<v.size(); i++)
    {
        res=max(res,z/100*v[i].fi);
        z=z-v[i].se;
    }
    cout << fixed << res << "\n";
    return 0;
}